<?php
class qaleb_box_7_widget extends WP_Widget {

	public function __construct(){
		$widget_ops = array( 
			'classname' => 'qaleb_box_7_widget',
			'description' => 'تب پربازدیدترین اخبار روز و هفته', );
		parent::__construct( 'qaleb_box_7_widget', 'Jam -  نوشته طرح هفتم', $widget_ops );
	}

	function widget( $args, $instance ) {
	$widget_title = apply_filters( 'widget_title', $instance['widget_title'] );	
?>
<div class="sidebar-box">
<div class="sidebar-title"><h3><?php echo $widget_title; ?></h3></div>
<div class="ap-tabs clearfix">
<div class="tab_container">
<ul class="tabs">
<li class="active" rel="newest"><span>7</span> روز</li>
<li rel="most-viewed"><span>24</span> ساعت</li>
</ul>
<div class="tab_content" id="newest" style="display: block;">
<?php if (function_exists('wpp_get_mostpopular')) wpp_get_mostpopular("range=weekly&order_by=views&limit=10"); ?>	
</div>
<div class="tab_content" id="most-viewed">
<?php if (function_exists('wpp_get_mostpopular')) wpp_get_mostpopular("range=daily&order_by=views&limit=10"); ?>	

</div>
</div>
</div></div>
<?php
	}

	function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['widget_title'] = ( ! empty( $new_instance['widget_title'] ) ) ? strip_tags( $new_instance['widget_title'] ) : '';
		return $instance;
	}

	function form( $instance ) {
		if ( isset( $instance[ 'widget_title' ] ) ) {
			$widget_title = $instance[ 'widget_title' ];
		} else {
			$widget_title = 'پربازدیدترین اخبار';
		}
?>
		<p>
			<label for="<?php echo $this->get_field_id( 'widget_title' ); ?>">نام:</label>
			<input name="<?php echo $this->get_field_name( 'widget_title' ); ?>" type="text" value="<?php echo esc_attr( $widget_title ); ?>" id="<?php echo $this->get_field_id( 'widget_title' ); ?>" class="widefat">
		</p>
<p>■ جهت نمایش صحیح این ابزارک حتما باید افزونه  <a target="_blank" href="https://wordpress.org/plugins/wordpress-popular-posts/"><em style="color:#0073aa;"> WordPress Popular Posts </em></a>نصب و فعال شده باشد.</p>
<p>■ 24 ساعت بعد از نصب افزونه از این ابزارک استفاده کنید.</p>
<p>■ تعداد نوشته های نمایشی 10 عدد است.</p>
<?php
	}
}

function qaleb_box_7_widget_widget() {
	register_widget( 'qaleb_box_7_widget' );
}

add_action( 'widgets_init', 'qaleb_box_7_widget_widget' );
?>